Skip to main content

Ubuntu Linux + UC-LOGIC WP8060

Ubuntu'nun 8.10 versiyonunda wizardpen-0.6.2 versiyonu çizim tableti sürücüsü sorusuz olarak çalışıyordu. Bu paket 9.04 Jaunty'e geçtikten sonra çalışmadı. Sanırım XOrg'un yeni versiyonu ile ilgili bir değişiklikten dolayı paket derlenemiyordu.

Geçen gün wizardpen-0.7.0-alpha2 versiyonunu indirdim ve gördüm ki artık o derleme hatası yok ve sürücü sorunsuz olarak derlenebiliyor. Daha sonrasında ubuntunun ilgili sayfasındaki yönergeler uyarınca sürücüyü yüklemeye çalıştım. İlgili sayfanın link de şu şekildedir:

https://help.ubuntu.com/community/TabletSetupWizardpen


Bu linkteki yönergeler takip edildiğinde sürücüyü ve dolayısıyla tabletinizi çalıştırmak mümkü olacaktır. Ben elimdeki UC-LOGIC WP8060 model tabletimi şu anda kullanabiliyorum. Yalnız bir iki hatırlatmayı yapmak isterim. Örneğin ilgili bir pardus sayfasında da dile getirildiği gibi,

"Şimdi yapacağımız işlem ile sürücüleri yerine yerleştirmeliyiz. Midnight commander ile wizardpen-0.6.0.2/src/.libs/ klasörü içindeki wizardpen_drv.so dosyasını /usr/lib/xorg/modules/input içerisine kopyalayıp dosya izinlerini 755 yapıyoruz. Daha sonra wizardpen-0.6.0.2/src klasörü içindeki wizardpen_drv.la dosyasını da /usr/lib/xorg/modules içine kopyalayıp aynı şekilde izinleri 755 yapıyoruz."

Bu yazıyı alıntıladığım sayfanın linki de şu şekildedir:

http://www.ozgurlukicin.com/forum/gonullu-calismalar/1111/?page=1

Bunun dışında ben kendi karşılaştığım bir problemden bahsedeyim. Benim sistemimde 2 adet 20" monitör var, bunlar twinview xinerama modunda çalışıyorlar (resimde de görebilirsiniz). Tableti kurarken ilgili ubuntu yardım sayfasındaki yeri kopyala yapıştırla xorg.conf dosyasına eklediğimde tabletin problemli olarak çalıştığını gözlemledim. Tıklama ve seçme gibi özelliklerinde sorunlar oluyordu, açıkcası kullanılamayacak kadar kötü çalışıyordu. İlgili sayfadaki kısım şu şekilde:

Section "InputDevice"
       Identifier      "WizardPen Tablet"
       Option          "SendCoreEvents"        "true"
       Driver          "wizardpen"
       Option          "Device"        "/dev/tablet-event"
       Option          "TopX"          "826"
       Option          "TopY"          "2626"
       Option          "BottomX"       "32747"
       Option          "BottomY"       "32762"
       Option          "MaxX"          "32747"
       Option          "MaxY"          "32762"
EndSection

Bu ayarlar tablet üzerindeki maksimum alana yakın bir bölgeyi kullanacak şekilde ayarlanmış. Bu seçenekler bende sorun yarattı. Ben kendi kalibrasyonumu yaptım ve tablet üzerindeki iç dikdörtgeni yani normal kullanma alanını seçerek xorg.conf dosyamı buna göre düzenledim. Bu durumda tablet problemsiz çalışmaya başladı. Bu problemin ikili monitör uygulaması ile ilgisi olabilir ama yine de tablet ile çalışacak olanlar için bu bilginin de bir kenarda bulunmasında fayda var diye düşünüyorum. Linuxta tablet kullanacaksanız şu anda en rahat çözüm wizardpen sürücüsünü indirmek ve wizardpen in desteklediği tabletlerden birisini kullanmaktır. Sürücünün en son versiyonunu bulup indirmek de önemli. Benim sistemimin fotoğrafı ve xorg.conf dosyam şu şekildedir:


samsungs

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    InputDevice "WizardPen Tablet" "AlwaysCore"
EndSection

Section "Files"
EndSection

Section "Module"
    Load           "dbe"
    Load           "extmod"
    Load           "type1"
    Load           "freetype"
    Load           "glx"
EndSection

Section "ServerFlags"
    Option         "Xinerama" "0"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Mouse0"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "no"
    Option         "ZAxisMapping" "4 5"
EndSection

Section "InputDevice"
        Identifier      "WizardPen Tablet"
        Option "Name" "UC-LOGIC Tablet WP8060U"
        Option          "SendCoreEvents"        "true"
        Driver          "wizardpen"
        Option          "Device"        "/dev/tablet-event"
    Option        "TopX"        "1567"
    Option        "TopY"        "1774"
    Option        "BottomX"    "31392"
    Option        "BottomY"    "30974"
    Option        "MaxX"        "31392"
    Option        "MaxY"        "30974"
        Option          "TopZ"          "10"
    Option          "BottomZ"       "511"
        Option          "MaxZ"          "511"
EndSection

Section "InputDevice"
    # generated from default
    Identifier     "Keyboard0"
    Driver         "kbd"
EndSection

Section "Monitor"
    # HorizSync source: edid, VertRefresh source: edid
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "Samsung SyncMaster"
    HorizSync       30.0 - 81.0
    VertRefresh     56.0 - 60.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "GeForce 6600"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "1"
    Option         "NoTwinViewXineramaInfoOrder" "CRT-0"
    Option         "metamodes" "CRT-0: 1600x900_60 +0+0, CRT-1: 1600x900 +1600+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection





--
Şükrü OZAN

Comments

Tarık Kaymak said…
slm. yazınızı ilgiyle okudum. çok teşekkür ederim.

ben kendimi bildim bileli windows kullanıcısıyım. bir süre iş gereği macos kullandım. yıllardırda ubuntu, pardus gibi açık kaynak kodlu işletim sistemlerine geçmek istiyorum fakat, Tekstil tasarımcıyım ve Adobe Photoshop kullanıyorum, elimde yine uc-logic marka bir grafik tabletim var. aynı yöntemleri kullanarak kurabilirmiyim? basınç hassasiyeti aynı şekilde çalışırmı? photoshop ve illustratorü çok özlermiyim? ne dersiniz?
Şükrü OZAN said…
Merhaba Tarık,

Şimdi Photoshopun muadili olarak Gimp var linux camiasında çok yaygın olarak kullanılmakta. Ancak açıkcası Photoshopun özelliklerinin tamamının Gimp ile örtüşüp örtüşmediği konusunda emin değilim. Yani photoshopu tercih etmenin en önemli nedeni atıyorum "x efekti" dir ama bu direk Gimp'te olmayabilir muhtemelen.

Bir de illustrator demişsin. Kastın vektörel çizim yapabileceğin bir programsa onun da muadili var. Inkscape adında bir vektörel çizim programı var. Burda önemli olan senin kullanıcı olarak bu windows tabanlı programları ne kadar ayrıntılı olarak kullandığın aslında. Dediğim gibi sen o programlara bağlayan özel bir eklenti falan yoksa, çok genel geçer şekilde kullanıyorsan programları benim gibi linux'taki programlar yeterli gelecektir.

Örneğin ben akademik makaleler ve doktora tezi falan yazıyorum. İhtiyacım olan figürleri kendim rahatlıkla vektörel olarak çizebiliyorum inkscape ile. Gimp'te de genel fotoğraf editleme işlemlerini gerçekleştiriyorum.

Tabletin hassasiyeti konusunda çok yorum yapmayım çünkü denemedim.

Ancak son olarak söylemek isterim ki bunu anlamanın en iyi yolu üşenmeyip temiz bir linux kurmak ve kurcalaya kurcalaya denemek olur.

Aslında genel olarak linux biraz uğraştırıcıdır. Eskiden bu çok daha barizdi ancak yeni linux sürümleri daha çok donanımı desteklediğinden eskiye nazaran çok daha rahat kuruluyor.

Popular posts from this blog

LaTeX'te Sunum Hazırlamak

Latex'i kullanarak projeksiyon cihazlarında sunulmaya yönelik çok güzel sunumlar hazırlamak mümkün olmaktadır. Oluşturulan dosya PDF olduğundan ve her işletim sisteminde (linux, mac os, unix, windows vs.) en azından bir tane PDF okuyucu program olduğundan, hazırlanan sunumların taşınabilirliği de azami seviyede olmaktadır. Tabi ki latex'in en üstün olduğu nokta olan mükemmel fontlar ve matematiksel denklem yazılımları latex'te hazırlanan sunumlar için de geçerli olmaktadır. Aşağıdaki linklerden indireceğiniz pakette örnek sunuma ait gerekli dosyaları bulabilirsiniz. Daha ayrıntılı bilgi almak isterseniz bana ulaşabilirsiniz.
Link : DROPBOX

Hazırladığım örnek sunumun slaytları şu şekilde:





















Ubuntu'da Chrome'un Açılıştaki Profil Uyarısı Nasıl Çözülebilir

Bir süredir Chrome u her açtığımda bu uyarı penceresi karşıma çıkmaya başlamıştı. Pencerede şu yazıyor:
Profiliniz doğru açılamıyor.
Bazı özellikler kullanılamayabilir. Lütfen profilin bulunduğundan ve içeriğini okuma ve yazma izniniz olduğundan emin olun.
Bu problemi çözmek için aşağıdaki işlemi uyguladım ve problem halloldu. Tabi ki bunu yapmak ya da yapmamak sizin tercihiniz, /home/ içinde olduğunuzu varsayarak:
mv .config/google-chrome/Default/Web\ Data .config/google-chrome/Default/Web\ Data.BCKP
İlgili klasördeki ilgili dosyayı farklı isimde kaydettim. Hem olası bir problemde geri dönmemi de sağlayacak bir komut bu.Bu işlemden sonra chrome u yeniden başlatıyoruz ve Voila! Problem gitmiş oluyor.  Chrome ilgili klasörde yeni bir Web Data dosyası oluşturuyor.
mv .config/google-chrome/Default/Web\ Data.BCKP .config/google-chrome/Default/Web\ Data
Komutu şeklinde yeniden çalıştırdığınızda dosya geri yükleniyor ve chrome eski problemli haline dönüyor.